%define	name	nexuiz
%define	version 1.2
%define rel	2
%define	release	%mkrel %{rel}

Name:		%{name} 
Summary:	An open source first-person shooter
Version:	%{version} 
Release:	%{release} 
Source0:	%{name}-%{version}.tar.bz2
# Fixes compiling
Patch0:		nexuiz-1.0-compile.patch.bz2
URL:		http://www.nexuiz.com/
Group:		Games/Other
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:	GPL
BuildRequires:	SDL-devel

%description
Nexuiz is a multiplayer 3D first-person shooter based upon a
heavily modified Quake 1 engine.

WARNING: This game contains violence that is not suitable for children.

%package	glx
Group:		Games/Other
Summary:	GLX client for the open source first-person shooter Nexuiz
Provides:	nexuiz = %{version}-%{release}
Requires:	nexuiz-data = %{version}

%description	glx
Nexuiz is a multiplayer 3D first-person shooter based upon a
heavily modified Quake 1 engine.

This package contains the glx client.

WARNING: This game contains violence that is not suitable for children.

%package	sdl
Group:		Games/Other
Summary:	SDL client for the open source first-person shooter Nexuiz
Provides:	nexuiz = %{version}-%{release}
Requires:	nexuiz-data = %{version}

%description	sdl
Nexuiz is a multiplayer 3D first-person shooter based upon a
heavily modified Quake 1 engine.

This package contains the SDL client.

WARNING: This game contains violence that is not suitable for children.

%package	dedicated
Group:		Games/Other
Summary:	Dedicated server for Nexuiz
Requires:	nexuiz-data = %{version}

%description	dedicated
Nexuiz is a multiplayer 3D first-person shooter based upon a
heavily modified Quake 1 engine.

This packages contains the dedicated server.

WARNING: This game contains violence that is not suitable for children.

%prep
%setup -q
%patch0 -p0

%build
cat << EOF > ./nexuiz-glx_launch
#!/bin/bash
cd %{_gamesdatadir}/nexuiz/
# Check if the user is running a GeForce FX card and doesn't already have a config file
if [ ! -e \$HOME/.nexuiz/ ]; then
	if [ "\`lspcidrake|grep -i nvidia|grep -i geforce |grep FX\`" != "" ]; then
		mkdir -p \$HOME/.nexuiz/data
		# Don't use GLSL
		echo 'r_shadow_glsl 0' > \$HOME/.nexuiz/data/autoexec.cfg
	fi
fi
%{_gamesbindir}/nexuiz-glx.real "\$@"
EOF
cat << EOF > ./nexuiz-sdl_launch
#!/bin/bash
cd %{_gamesdatadir}/nexuiz/
# Check if the user is running a GeForce FX card and doesn't already have a config file
if [ ! -e \$HOME/.nexuiz/ ]; then
        if [ "\`lspcidrake|grep -i nvidia|grep -i geforce |grep FX\`" != "" ]; then
                mkdir -p \$HOME/.nexuiz/data
                # Don't use GLSL
                echo 'r_shadow_glsl 0' > \$HOME/.nexuiz/data/autoexec.cfg
        fi
fi
%{_gamesbindir}/nexuiz-sdl.real "\$@"
EOF
cat << EOF > ./nexuiz-dedicated_launch
#!/bin/bash
cd %{_gamesdatadir}/nexuiz/
%{_gamesbindir}/nexuiz-dedicated.real "\$@"
EOF

%make CPUOPTIMIZATIONS="%(echo %optflags|sed s/-Wp,-D_FORTIFY_SOURCE=2//)" release

%install
rm -rf $RPM_BUILD_ROOT
install -m755 nexuiz-glx -D $RPM_BUILD_ROOT%{_gamesbindir}/nexuiz-glx.real
install -m755 nexuiz-sdl -D $RPM_BUILD_ROOT%{_gamesbindir}/nexuiz-sdl.real
install -m755 nexuiz-dedicated -D $RPM_BUILD_ROOT%{_gamesbindir}/nexuiz-dedicated.real
install -m755 nexuiz-glx_launch -D $RPM_BUILD_ROOT%{_gamesbindir}/nexuiz-glx
install -m755 nexuiz-sdl_launch -D $RPM_BUILD_ROOT%{_gamesbindir}/nexuiz-sdl
install -m755 nexuiz-dedicated_launch -D $RPM_BUILD_ROOT%{_gamesbindir}/nexuiz-dedicated

mkdir -p %{buildroot}%{_menudir}
cat << EOF > %{buildroot}%{_menudir}/%{name}-sdl
?package(%{name}-sdl):command="%{_gamesbindir}/nexuiz-sdl"\
 icon="%{name}.png" needs="X11" section="More Applications/Games/Other"\
 title="Nexuiz" longtitle="Multimedia Player"
EOF
cat << EOF > %{buildroot}%{_menudir}/%{name}-glx
?package(%{name}-glx):command="%{_gamesbindir}/nexuiz-glx"\
 icon="%{name}.png" needs="X11" section="More Applications/Games/Other"\
 title="Nexuiz" longtitle="A 3D first person shooter"
EOF

%post glx
%{update_menus}
%post sdl
%{update_menus}

%postun glx 
%{clean_menus}
%postun sdl
%{clean_menus}

%clean 
rm -rf $RPM_BUILD_ROOT 

%files glx
%defattr(-,root,root)
%{_gamesbindir}/nexuiz-glx
%{_gamesbindir}/nexuiz-glx.real
%{_menudir}/%{name}-glx

%files sdl
%defattr(-,root,root)
%{_gamesbindir}/nexuiz-sdl
%{_gamesbindir}/nexuiz-sdl.real
%{_menudir}/%{name}-sdl

%files dedicated
%defattr(-,root,root)
%{_gamesbindir}/nexuiz-dedicated
%{_gamesbindir}/nexuiz-dedicated.real

%changelog
* Tue Aug 30 2005 Couriousous <couriousous@mandriva.org> 1.2-2mdk
- Disable fortify ( ie won't build if enabled )
- Fix Geforce FX detection 

* Tue Aug 30 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.2-1mdk
- 1.2

* Mon Jul 11 2005 Eskild Hustvedt <eskild@mandriva.org> 1.1-2mdk
- Added a hack for GeForce FX cards in the startup script(s)

* Tue Jul 05 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.1-1mdk
- 1.1
- split out data package
- compile with optimizations
- fix requires & provides
- added dedicated server

* Thu Jun 09 2005 Eskild Hustvedt <eskild@mandrake.org> 1.0-1mdk
- Initial Mandriva Linux package
- Patch0: fix compile (thanks Michael Scherer)
